Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Interface SVGSVGContext

All Superinterfaces:
  SVGContext

All Known Implementing Classes:
  SVGSVGElementBridge

    public interface SVGSVGContext

extends SVGContext

Context class for svg:svg elements. Eventually this interface will likely have a number of other methods but for now it will have methods to do intersection and enclosure checking.

Field Summary

Fields inherited from interface org.apache.batik.dom.svg.SVGContext
`PERCENTAGE_FONT_SIZE, PERCENTAGE_VIEWPORT_HEIGHT, PERCENTAGE_VIEWPORT_SIZE, PERCENTAGE_VIEWPORT_WIDTH`

Method Summary
`boolean` | `animationsPaused()` Returns whether animations are currently paused.
`boolean` | `checkEnclosure(Element element, org.w3c.dom.svg.SVGRect rect)` Returns true if the given DOM element is enclosed in the `svgRect`.
`boolean` | `checkIntersection(Element element, org.w3c.dom.svg.SVGRect rect)` Returns true if the given DOM element intersects `svgRect`.
`void` | `deselectAll()` Used to inform the user agent that the text selection should be cleared.
`void` | `forceRedraw()` Forces an immediate redraw of the canvas.
`float` | `getCurrentTime()` Returns the current document time.
`List` | `getEnclosureList(org.w3c.dom.svg.SVGRect rect, Element end)` Returns a List of all the DOM elements that are encosed in `svgRect` that are below `end` in the rendering order.
`List` | `getIntersectionList(org.w3c.dom.svg.SVGRect svgRect, Element end)` Returns a List of all the DOM elements that intersect `svgRect` that are below `end` in the rendering order.
`void` | `pauseAnimations()` Pauses animations in the document.
`void` | `setCurrentTime(float t)` Sets the current document time.
`int` | `suspendRedraw(int max_wait_milliseconds)` Suspends redrawing of the canvas for the given number of milliseconds.
`void` | `unpauseAnimations()` Unpauses animations in the document.
`boolean` | `unsuspendRedraw(int suspend_handle_id)` Unsuspends redrawing of the canvas.
`void` | `unsuspendRedrawAll()` Unsuspends redrawing of the canvas.

Methods inherited from interface org.apache.batik.dom.svg.SVGContext
`getBBox, getCTM, getFontSize, getGlobalTransform, getPixelToMM, getPixelUnitToMillimeter, getScreenTransform, getViewportHeight, getViewportWidth, setScreenTransform`

Method Detail

### getIntersectionList

    List getIntersectionList(org.w3c.dom.svg.SVGRect svgRect,
                             Element end)

  Returns a List of all the DOM elements that intersect `svgRect` that are below `end` in the rendering order.

### getEnclosureList

    List getEnclosureList(org.w3c.dom.svg.SVGRect rect,
                          Element end)

  Returns a List of all the DOM elements that are encosed in `svgRect` that are below `end` in the rendering order.

### checkIntersection

    boolean checkIntersection(Element element,
                              org.w3c.dom.svg.SVGRect rect)

  Returns true if the given DOM element intersects `svgRect`.

### checkEnclosure

    boolean checkEnclosure(Element element,
                           org.w3c.dom.svg.SVGRect rect)

  Returns true if the given DOM element is enclosed in the `svgRect`.

### deselectAll

    void deselectAll()

  Used to inform the user agent that the text selection should be cleared.

### suspendRedraw

    int suspendRedraw(int max_wait_milliseconds)

  Suspends redrawing of the canvas for the given number of milliseconds.

### unsuspendRedraw

    boolean unsuspendRedraw(int suspend_handle_id)

  Unsuspends redrawing of the canvas.

### unsuspendRedrawAll

    void unsuspendRedrawAll()

  Unsuspends redrawing of the canvas.

### forceRedraw

    void forceRedraw()

  Forces an immediate redraw of the canvas.

### pauseAnimations

    void pauseAnimations()

  Pauses animations in the document.

### unpauseAnimations

    void unpauseAnimations()

  Unpauses animations in the document.

### animationsPaused

    boolean animationsPaused()

  Returns whether animations are currently paused.

### getCurrentTime

    float getCurrentTime()

  Returns the current document time.

### setCurrentTime

    void setCurrentTime(float t)

  Sets the current document time.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.